%define xorg_ver %(pkg-config xorg-server --modversion|cut -d. -f 1-2)
Name:          xf86-video-r128
Version:       6.13.0
Release:       1mamba
Summary:       R128 video driver for X.Org
Group:         System/X11
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.x.org/wiki/
Source:        http://xorg.freedesktop.org/releases/individual/driver/xf86-video-r128-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: xorg-server-devel >= 21.1.3-1mamba
BuildRequires: libXvMC-devel >= 1.0.2
BuildRequires: libXrender >= 0.9.1
BuildRequires: libXrandr >= 1.1.1
BuildRequires: libXv >= 1.0.1
BuildRequires: libdrm-devel >= 2.3.0
BuildRequires: libXinerama-devel >= 1.0.1
BuildRequires: libpthread-stubs-devel
Provides:      xorgdrvvideo
Requires:      xorg-server >= %{xorg_ver}
Requires:      xorg-server <= %{xorg_ver}.255
Provides:      xorg-drv-video-r128
Obsoletes:     xorg-drv-video-r128 < 6.12.1

%description
R128 video driver for X.Org.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/r128_drv.so
%{_mandir}/man4/r128.4*

%changelog
* Sun Oct 13 2024 Automatic Build System <autodist@openmamba.org> 6.13.0-1mamba
- automatic version update by autodist

* Sun Feb 26 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 6.12.1-1mamba
- update to 6.12.1

* Sat Feb 19 2022 Automatic Build System <autodist@mambasoft.it> 6.12.0-2mamba
- rebuilt by autoport with build requirements: xorg-server-devel>=21.1.3-1mamba

* Sun Mar 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 6.12.0-1mamba
- update to 6.12.0
- rebuilt with xorg-server 1.20.4

* Fri Dec 08 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 6.10.2-1mamba
- update to 6.10.2
- rebuild with xorg-server 1.19.5

* Wed Jan 27 2016 Automatic Build System <autodist@mambasoft.it> 6.10.1-2mamba
- automatic version update by autodist

* Tue Jan 26 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 6.10.1-1mamba
- update to 6.10.1

* Sun Sep 13 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 6.10.0-1mamba
- update to 6.10.0

* Sat Jun 14 2014 Automatic Build System <autodist@mambasoft.it> 6.9.2-2mamba
- X.org 1.15 rebuild

* Sun Oct 06 2013 Automatic Build System <autodist@mambasoft.it> 6.9.2-1mamba
- automatic update by autodist

* Tue Mar 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 6.9.1-3mamba
- xorg-server 1.12 mass rebuild

* Thu Dec 06 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 6.9.1-2mamba
- backport to xorg-server 1.10 from devel-xorg

* Fri Oct 12 2012 Automatic Build System <autodist@mambasoft.it> 6.9.1-1mamba
- automatic version update by autodist

* Mon Aug 13 2012 Automatic Build System <autodist@mambasoft.it> 6.8.4-1mamba
- automatic version update by autodist

* Thu Jun 07 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 6.8.2-1mamba
- automatic update by autodist

* Fri Feb 17 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 6.8.1-4mamba
- automatic update by autodist

* Fri Aug 12 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 6.8.1-3mamba
- automatic port from devel

* Fri Feb 26 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 6.8.1-2mamba
- rebuild with xorg-server 1.7.5

* Tue Aug 04 2009 Automatic Build System <autodist@mambasoft.it> 6.8.1-1mamba
- automatic update by autodist

* Sat Jun 06 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 6.8.0-1mamba
- Package created

